NCVRuntimeTemplateBool::KernelCaller< TList, NumArguments, Func > Struct Template Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/src/cuda/nvidia/NCVRuntimeTemplates.hpp>`

## Static Public Member Functions

static void | call (Func *functor,...)
static void | call (Func &functor, std::vector< int > &templateParamList)

## Detailed Description

### template<typename TList, int NumArguments, class Func>
struct NCVRuntimeTemplateBool::KernelCaller< TList, NumArguments, Func >

Definition at line 148 of file NCVRuntimeTemplates.hpp.

## Member Function Documentation

## call() [1/2]

template<typename TList , int NumArguments, class Func >

static void NCVRuntimeTemplateBool::KernelCaller< TList, NumArguments, Func >::call | ( | Func & | functor,
|  | std::vector< int > & | templateParamList
| ) |  |

inline static

Definition at line 174 of file NCVRuntimeTemplates.hpp.

References NCVRuntimeTemplateBool::KernelCaller< TList, NumArguments, Func >::call().

## call() [2/2]

template<typename TList , int NumArguments, class Func >

static void NCVRuntimeTemplateBool::KernelCaller< TList, NumArguments, Func >::call | ( | Func * | functor,
|  |  | ...
| ) |  |

inline static

Definition at line 152 of file NCVRuntimeTemplates.hpp.

Referenced by NCVRuntimeTemplateBool::KernelCaller< TList, NumArguments, Func >::call().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/src/cuda/nvidia/NCVRuntimeTemplates.hpp